package com.hoolai.demo.utils;

import android.content.Context;

import com.hoolai.open.fastaccess.channel.FastSdk;
import com.hoolai.open.fastaccess.channel.UserExtDataKeys;

import java.util.HashMap;
import java.util.Map;

/**
 * 模拟数据报送
 */
public class DataReportUtil {

    /**
     *  //基础打点模拟报送 必须
     * @param context
     * @param userExtData
     */
    public static void basisData(Context context, Map<String,String> userExtData){
        // 创建角色
        userExtData.put(UserExtDataKeys.ACTION, UserExtDataKeys.ACTION_CREATE_ROLE);
        FastSdk.setUserExtData(context, new HashMap<String, String>(userExtData));
        // 角色升级
        userExtData.put(UserExtDataKeys.ACTION, UserExtDataKeys.ACTION_LEVEL_UP);
        FastSdk.setUserExtData(context, new HashMap<String, String>(userExtData));

        // 进入服务器
        userExtData.put(UserExtDataKeys.ACTION, UserExtDataKeys.ACTION_ENTER_SERVER);
        FastSdk.setUserExtData(context, new HashMap<String, String>(userExtData));
    }

    /**
     * af数据模拟报送
     * @param context
     * @param userExtData
     */
    public static void afDataSend(Context context, Map<String,String> userExtData){
        userExtData.put(UserExtDataKeys.ACTION,"af_vip_1");
        userExtData.put(UserExtDataKeys.CLASSFIELD, "vip_1");
        FastSdk.setUserExtData(context, userExtData);

        userExtData.put(UserExtDataKeys.ACTION,"af_gethero_14201");
        userExtData.put(UserExtDataKeys.CLASSFIELD, "af_gethero_14201");
        FastSdk.setUserExtData(context, userExtData);

        userExtData.put(UserExtDataKeys.ACTION,"af_seiya_recharge4999");
        userExtData.put(UserExtDataKeys.CLASSFIELD, "seiya_recharge49.99");
        FastSdk.setUserExtData(context, userExtData);

        userExtData.put(UserExtDataKeys.ACTION,"af_click_0dot99");
        userExtData.put(UserExtDataKeys.CLASSFIELD, "click_0dot99");
        FastSdk.setUserExtData(context, userExtData);
    }

    public static void DataSend(Context context, Map<String, String> userExtData) {
        userExtData.put(UserExtDataKeys.ACTION,"guild_join");
        userExtData.put(UserExtDataKeys.CLASSFIELD, "guild_join");
        FastSdk.setUserExtData(context, userExtData);

        userExtData.put(UserExtDataKeys.ACTION,"loginreward_day_7");
        userExtData.put(UserExtDataKeys.CLASSFIELD, "loginreward_day_7");
        FastSdk.setUserExtData(context, userExtData);
    }
}
